OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - f -

- Failed() : CommandCost
- FakePointer() : LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer >::FakePointer
- FallbackParagraphLayout() : FallbackParagraphLayout
- FallbackVisualRun() : FallbackParagraphLayout::FallbackVisualRun
- FeederShare() : CargoPacket , VehicleCargoList
- File() : File
- FileReader() : FileReader
- FileStringReader() : FileStringReader
- FileWriter() : FileWriter
- FillCrashLog() : CrashLog
- FillData() : CompanyNewsInformation
- FillSetDetails() : BaseSet< T, Tnum_files, Tsearch_in_tars >
- Filter() : GUIList< T, F >
- FilterContentList() : NetworkContentListWindow
- FilterEngineList() : BuildVehicleWindow
- FilterSignList() : SignList
- FilterSingleEngine() : BuildVehicleWindow
- FilterType() : GUIList< T, F >
- Finalise() : TranslationWriter , StringNameWriter , FileWriter , HeaderFileWriter , LanguageFileWriter , HeaderWriter , LanguageWriter
- Finalize() : GRFParameterInfo
- FinalizeLocalConsumption() : FlowStatMap
- FinalizeParameterInfo() : GRFConfig
- FinalizeRefitAction() : FinalizeRefitAction
- Find() : SmallMap< T, U, S > , SmallVector< T, S > , CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , StringData
- FindClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindClosestDepot() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- FindCycleFlow() : MCF1stPass
- FindDepotData() : FindDepotData
- FindEntry() : BaseSettingEntry , SettingsContainer , SettingsPage
- FindIndex() : SmallVector< T, S > , CBinaryHeapT< T >
- FindInfo() : AI , AIConfig , AIScannerInfo , Game , GameConfig , GameScannerInfo , ScriptConfig
- FindKeyword() : Lexer
- FindKnownName() : DumpTarget
- FindLibrary() : AI , ScriptInstance , AIInstance , AIScannerLibrary , Game , GameInstance , GameScannerLibrary
- FindMainScript() : ScriptScanner
- FindMissingGlyphs() : MissingGlyphSearcher
- FindNearestDepot() : CYapfFollowRoadT< Types >
- FindNode() : Hash
- FindOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindPath() : CYapfBaseT< Types >
- FindSafePositionOnNode() : CYapfReserveTrack< Types >
- FindSets() : BaseMedia< Tbase_set >
- FindTrainOnTrackInfo() : FindTrainOnTrackInfo
- FindWindowPlacementAndResize() : NetworkChatWindow , StatusBarWindow , MainToolbarWindow , ScenarioEditorToolbarWindow , Window
- Finish() : PacketWriter , ZlibSaveFilter , LZMASaveFilter , SaveFilter , FileWriter
- FinishInitNested() : Window
- FiosFileScanner() : FiosFileScanner
- First() : Vehicle , SpecializedVehicle< T, Type >
- FirstFreeSubArray() : SmallArray< T, B, N >
- FirstShared() : Vehicle
- FixedSizeArray() : FixedSizeArray< T, C >
- FixTail() : ByteBlob
- Flow() : LinkGraphJob::Edge
- FlowEdgeIterator() : FlowEdgeIterator
- FlowMapper() : FlowMapper
- Flows() : LinkGraphJob::Node
- FlowStat() : FlowStat
- Flush() : CSegmentCostCacheT< Tsegment > , UnmappedChoiceList , MemoryDumper
- FoldAll() : SettingsPage , SettingsContainer
- Follow() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- FollowTileExit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- FontCache() : FontCache
- ForcedReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- ForceRebuild() : GUIList< T, F >
- ForceResort() : GUIList< T, F >
- Fork() : Path
- FoundBestNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- Free() : ByteBlob , AyStar , BinaryHeap , CommandQueue , Order
- FreeBay() : RoadStop
- FreeChain() : OrderList
- FreeTranslation() : StringData , LangString
- FreeTypeFontCache() : FreeTypeFontCache
- FreeUnitIDGenerator() : FreeUnitIDGenerator
- From() : SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type >
- FromDisplay() : UnitConversion